#include <QSqlQueryModel>
#include <QSqlQuery>

#ifndef __Q_SQL_QUERY_MODEL_FETCH_ALL
#define __Q_SQL_QUERY_MODEL_FETCH_ALL

class QSqlQueryModelFetchAll : public QSqlQueryModel
{
public:
	QSqlQueryModelFetchAll() {}
	~QSqlQueryModelFetchAll() {}

	void setQuery(const QSqlQuery &_query);
	void setQuery(const QString &query, const QSqlDatabase &db = QSqlDatabase());
	
	int realRowCount(const QModelIndex &parent = QModelIndex());
	int constrainedRowCount(int fullTableRowConstraint, const QModelIndex &parent = QModelIndex());


	bool GetNumericalColumnConstraints(QString columnName, double *minimum, double *maximum);
	bool GetNumericalColumnConstraints(int columnIndex, double *minimum, double *maximum);

protected:
	double lastMinimum, lastMaximum;
};

#endif
