#ifndef STARTUPTIPS_H
#define STARTUPTIPS_H

#include <QDialog>
#include "ui_StartupTips.h"

using namespace Ui;

class StartupTips : public QDialog, public StartupTipsClass
{
	Q_OBJECT

public:
	StartupTips(QWidget *parent, Qt::WindowFlags f);
	~StartupTips();

	public slots:
		void on_nextTipPushButton_released();
		void on_previousTipPushButton_released();
		void on_showTipsOnStartupCheckBox_toggled(bool b);

protected:
	int tipIndex;
	void UpdateTextBrowserWithTip();
};

#endif // STARTUPTIPS_H
