#include "SQLQueryToolOutputTab.h"
#include "ByteArrayAsImageItemDelegate.h"
#include "QSqlQueryModelFetchAll.h"

SQLQueryToolOutputTab::SQLQueryToolOutputTab(QWidget* parent, Qt::WindowFlags f, QString dbName, QString query, QSqlQueryModelFetchAll *newModel)
: QWidget(parent, f)
{
	setupUi(this);
	queryLabel->setText(QString("Query: ") + query);
	databaseLabel->setText(QString("Database: ") + dbName);

	ByteArrayAsImageItemDelegate *sqlqid = new ByteArrayAsImageItemDelegate(this); // TODO: Is this a memory leak?
	sqlqid->SetDeferredPainter(new ModelIndicesDeferredPainter(tableView,this)); // TODO: Is this a memory leak?

	tableView->setModel(newModel);
	tableView->setItemDelegate(sqlqid);	
	tableView->show();
	tableView->resizeColumnsToContents();
}

SQLQueryToolOutputTab::~SQLQueryToolOutputTab()
{
	// crashes
	//delete model;
}
